View Issue Details

IDProjectCategoryView StatusLast Update
0013680ScribusStory Editor / Text Framespublic2016-05-18 14:18
Reporterjlpoole Assigned ToKunda  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntelOSWindows OS Version7
Product Version1.5.0 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0013680: Vertical Alignment To Bottom Inactivates Text Alignment Buttons
DescriptionWhen changing the vertical alignment from Top to Bottom, the horizontal alignment is changed and cannot be altered.
Steps To Reproduce1) Creat a new page - Letter
2) Create a text box,
   length 300,
   height 24
3) Change font to 9 pts Arial Regular
4) Center text within box horizontally depressing the center icon

5) select the text box.
6) select characters of text within the text box, this will cause the Properties menus to change.
7) Once some text is selected, then the menu "Columns & Text Distances" will appear.
8) The first pick list under "Columns & Text Distances" is "Vertical Alignment"; there are three choices: a) Top, b) Middle, and c) Bottom
9) Change vertical alignment from Top to Bottom.

Result: the text jumps left. If you hit the Text Center or Text Right icons, nothing happens

You can change the vertical alignment to Middle or Top and then the Text Align icons work, but when you return to the Vertical Alignment Bottom setting, the Text Align icons do not work.

Additional InformationBuild:
19 May 2015
Build ID: C-*-T-*-C1.12.18-Windows-64bit
TagsNo tags attached.
PatchNo

Relationships

related to 0013685 new Text Box cursor should obey 'Align Text' by moving to that position BEFORE text input triggers it 
child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

jlpoole

2016-01-24 16:47

reporter  

Bug_13680_Sample1.sla (13,908 bytes)

jlpoole

2016-01-24 16:49

reporter   ~0038404

I'd change this to category "minor" for severity, but the Bug interface does not allow me to make such an alteration.

cbradney

2016-01-24 17:09

administrator   ~0038405

Also in 1.5.1.svn

jlpoole

2016-01-24 17:35

reporter   ~0038406

My examples were simply three characters of text, to wit "333". When I add a carriage return line feed, then the behavior changes, so it seems that what kind of text is in the text box affects the behavior of the interface.

Also, I confirmed that this behavior occurs in Linux, against my customized build of:
09 October 2015
Build ID: C-C-T-F-C1.14.2-64bit
Using Ghostscript version 9.15

jlpoole

2016-01-24 17:42

reporter   ~0038407

Workaround: add a carriage return to the text with nothing thereafter and the horizontal icons become operative.

Kunda

2016-01-26 01:34

manager   ~0038434

how does one change vertical alignment ?

jlpoole

2016-01-26 02:22

reporter   ~0038436

Good question -- it's not easy to get to that point.
1. select the text box.
2. select characters of text within the text box, this will cause the Properties menus to change.
3. Once some text is selected, then the menu "Columns & Text Distances" will appear.
4. The first pick list under "Columns & Text Distances" is "Vertical Alignment"; there are three choices: a) Top, b) Middle, and c) Bottom

Kunda

2016-01-26 18:17

manager  

alignment-off.gif (55,656 bytes)
alignment-off.gif (55,656 bytes)

Kunda

2016-01-26 18:18

manager   ~0038450

Confirmed on OSX 10.10.5 1.5.1svn r20718
Added gif

Kunda

2016-04-19 13:08

manager   ~0040309

Good news, I can't recreate this bug anymore on OSX 10.10.5 1.5.2svn r21215
Please retest with the latest trunk!

Laser

2016-04-19 13:51

reporter   ~0040311

Not having Arial installed, I cannot reproduce - tested different fonts.
Arch Linux 1.5.2 r21208.

(And you don't have to select characters to get to vertical alignment ;-) )

Kunda

2016-04-19 14:02

manager   ~0040312

this was probably fixed by boxes merge

Kunda

2016-04-28 00:34

manager   ~0040554

Closing

Issue History

Date Modified Username Field Change
2016-01-24 16:44 jlpoole New Issue
2016-01-24 16:47 jlpoole File Added: Bug_13680_Sample1.sla
2016-01-24 16:49 jlpoole Note Added: 0038404
2016-01-24 17:09 cbradney Note Added: 0038405
2016-01-24 17:09 cbradney Status new => confirmed
2016-01-24 17:23 jghali Severity major => minor
2016-01-24 17:35 jlpoole Note Added: 0038406
2016-01-24 17:42 jlpoole Note Added: 0038407
2016-01-26 01:34 Kunda Note Added: 0038434
2016-01-26 02:03 Kunda Relationship added related to 0013685
2016-01-26 02:03 Kunda Relationship added child of 0003157
2016-01-26 02:22 jlpoole Note Added: 0038436
2016-01-26 18:07 Kunda Steps to Reproduce Updated View Revisions
2016-01-26 18:07 Kunda Steps to Reproduce Updated View Revisions
2016-01-26 18:17 Kunda File Added: alignment-off.gif
2016-01-26 18:18 Kunda Note Added: 0038450
2016-01-26 18:19 Kunda Target Version => 1.5.4.svn
2016-04-19 13:08 Kunda Note Added: 0040309
2016-04-19 13:08 Kunda Tag Attached: #tobeclosed
2016-04-19 13:09 Kunda Tag Attached: #cant reproduce
2016-04-19 13:10 Kunda Target Version 1.5.4.svn => 1.5.2
2016-04-19 13:51 Laser Note Added: 0040311
2016-04-19 14:02 Kunda Note Added: 0040312
2016-04-19 14:02 Kunda Status confirmed => resolved
2016-04-19 14:02 Kunda Fixed in Version => 1.5.2.svn
2016-04-19 14:02 Kunda Resolution open => fixed
2016-04-19 14:02 Kunda Assigned To => Kunda
2016-04-28 00:33 Kunda Assigned To Kunda =>
2016-04-28 00:34 Kunda Note Added: 0040554
2016-04-28 00:34 Kunda Status resolved => closed
2016-04-28 00:34 Kunda Assigned To => Kunda
2016-05-18 14:17 Kunda Tag Detached: #tobeclosed
2016-05-18 14:18 Kunda Tag Detached: #cant reproduce